Bug 305347

Summary: plasma-desktop crash after upgrade
Product: [Plasma] plasma4 Reporter: Rolf Eike Beer <kde>
Component: widget-microbloggingAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: david.narvaez, endymion+kde
Priority: NOR    
Version: 4.9.0   
Target Milestone: ---   
Platform: openSUSE   
OS: Linux   
Latest Commit: Version Fixed In: 4.10

Description Rolf Eike Beer 2012-08-17 19:13:47 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.9.00 "release 558"
Qt Version: 4.8.2
Operating System: Linux 3.5.0-35-desktop i686
Distribution: "openSUSE 12.1 (i586)"

-- Information about the crash:
I was running KDE SC 4.8.5 before without problems. Since the upgrade to 4.9.0 plasma-desktop crashes. I ran it from the konsole again, this is the output:

unnamed app(13438)/plasma kdemain: !!{} STARTUP TIME 75405171 START (line: 49 )
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
plasma-desktop(13516)/plasma PlasmaApp::PlasmaApp: !!{} STARTUP TIME 75405506 plasma app ctor start (line: 123 )
QDBusObjectPath: invalid path ""
plasma-desktop(13516)/plasma PlasmaApp::PlasmaApp: Setting the pixmap cache size to 20388 kilobytes
plasma-desktop(13516)/plasma PlasmaApp::PlasmaApp: !!{} STARTUP TIME 75405528 plasma app ctor end (line: 284 )
plasma-desktop(13516)/libplasma Plasma::Corona::Corona: !!{} STARTUP TIME 75405645 Corona ctor start
plasma-desktop(13516)/plasma DesktopCorona::init: !!{} STARTUP TIME 75405648 DesktopCorona init start (line: 83 )
plasma-desktop(13516)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdecache-eike/ksycoca4"
plasma-desktop(13516)/plasma DesktopCorona::checkAddPanelAction: populateAddPanelsMenu 3
plasma-desktop(13516)/plasma DesktopCorona::init: !!{} STARTUP TIME 75405684 DesktopCorona init end (line: 126 )
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75405704 Adding Containment "desktop"
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75405923 Init Containment "desktop"
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@was -1 is 0 DefaultDesktop(0x8c350e0) 0
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@@appending
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406233 Restored Containment "desktop"
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406233 Adding Containment "desktop"
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406254 Init Containment "desktop"
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@was -1 is 1 DefaultDesktop(0x8da7d48) 0
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@@appending
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406260 Restored Containment "desktop"
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406260 Adding Containment "panel"
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10206, -206)
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::positionPanel: no scene yet
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10206, -206)
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10074, -806)
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406297 Init Containment "panel"
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10074, -806)
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@was -1 is 0 Panel(0x8de4970) 0
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@isPanel
plasma-desktop(13516)/plasma StatusNotifierItemEngine::registerWatcher: service appeared "org.kde.StatusNotifierWatcher"
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10877-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10877-1/StatusNotifierItem" )
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10724-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10724-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10722-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10722-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10890-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10890-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10739-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10739-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-13076-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-13076-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-11125-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-11125-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-13042-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-13042-1/StatusNotifierItem" )     
plasma-desktop(13516)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                   
plasma-desktop(13516)/plasma SystemTray::Manager::addTask: "org.kde.StatusNotifierItem-10806-1/StatusNotifierItem" ( "org.kde.StatusNotifierItem-10806-1/StatusNotifierItem" )     
plasma-desktop(13516)/libplasma Plasma::PluginLoader::loadApplet: we have a script using the "declarativeappletscript" API
plasma-desktop(13516)/libplasma Plasma::PluginLoader::loadApplet: we have a script using the "declarativeappletscript" API
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406885 Restored Containment "panel"
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406885 Adding Containment "panel"
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10484, -206)
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::positionPanel: no scene yet
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(10484, -206)
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406895 Init Containment "panel"
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::preferredPanelPos: moved to QPointF(0, -44)
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@was -1 is 0 Panel(0x8f7eae8) 0
plasma-desktop(13516)/plasma PlasmaApp::containmentScreenOwnerChanged: @@@isPanel
plasma-desktop(13516)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(13516)/libplasma Plasma::CoronaPrivate::importLayout: !!{} STARTUP TIME 75406921 Restored Containment "panel"
QGraphicsLinearLayout::removeAt: invalid index 1
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::initApplets: !!{} STARTUP TIME 75409296 Applet "Comic"
plasma-desktop(13516)/libplasma Plasma::PluginLoader::loadDataEngine: offers are empty for  "microblog"  with constraint  "[X-KDE-PluginInfo-Name] == 'microblog'"
plasma-desktop(13516)/libplasma Plasma::PluginLoader::loadDataEngine: Couldn't load engine " "microblog" ". Error given:  ""
plasma-desktop(13516)/libplasma Plasma::ContainmentPrivate::initApplets: !!{} STARTUP TIME 75409356 Applet "Microblogging"
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit
sock_file=/home/eike/.kde4/socket-donald.sf-tec.de/kdeinit4__0
KCrash: Application 'plasma-desktop' crashing...

-- Backtrace:
Application: Plasma-Desktop-Umgebung (plasma-desktop), signal: Segmentation fault
[KCrash Handler]
#6  QGraphicsLayoutItem::effectiveSizeHint (this=0x8f66cc8, which=Qt::MinimumSize, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:875
#7  0xb5c04e06 in QGraphicsLayoutItem::minimumSize (this=0x8f66cc8) at graphicsview/qgraphicslayoutitem.cpp:587
#8  0xb73cc79e in Plasma::PopupAppletPrivate::popupConstraintsEvent (this=0x8dcd158, constraints=...) at /usr/src/debug/kdelibs-4.9.0/plasma/popupapplet.cpp:232
#9  0xb736b99c in Plasma::Applet::flushPendingConstraintsEvents (this=0x8e4b330) at /usr/src/debug/kdelibs-4.9.0/plasma/applet.cpp:1361
#10 0xb737d520 in Plasma::ContainmentPrivate::initApplets (this=0x8d4f640) at /usr/src/debug/kdelibs-4.9.0/plasma/containment.cpp:482
#11 0xb7392e11 in Plasma::CoronaPrivate::importLayout (this=0x8b40ed8, conf=..., mergeConfig=false) at /usr/src/debug/kdelibs-4.9.0/plasma/corona.cpp:1067
#12 0xb7393c35 in Plasma::Corona::loadLayout (this=0x8c565b0, configName=...) at /usr/src/debug/kdelibs-4.9.0/plasma/corona.cpp:278
#13 0xb7393d0e in Plasma::Corona::initializeLayout (this=0x8c565b0, configName=...) at /usr/src/debug/kdelibs-4.9.0/plasma/corona.cpp:181
#14 0xb7766f41 in PlasmaApp::corona (this=0x8b05528, createIfMissing=true) at /usr/src/debug/kde-workspace-4.9.0/plasma/desktop/shell/plasmaapp.cpp:850
#15 0xb77672a4 in PlasmaApp::setupDesktop (this=0x8b05528) at /usr/src/debug/kde-workspace-4.9.0/plasma/desktop/shell/plasmaapp.cpp:312
#16 0xb7768754 in qt_static_metacall (_a=0x8c3ff08, _id=16, _o=0x8b05528, _c=<optimized out>) at /usr/src/debug/kde-workspace-4.9.0/build/plasma/desktop/shell/plasmaapp.moc:125
#17 PlasmaApp::qt_static_metacall (_o=0x8b05528, _c=QMetaObject::InvokeMetaMethod, _id=16, _a=0x8c3ff08) at /usr/src/debug/kde-workspace-4.9.0/build/plasma/desktop/shell/plasmaapp.moc:101
#18 0xb60acbc1 in QMetaCallEvent::placeMetaCall (this=0x8c529e0, object=0x8b05528) at kernel/qobject.cpp:525
#19 0xb60b5d2b in QObject::event (this=0x8b05528, e=0x8c529e0) at kernel/qobject.cpp:1204
#20 0xb609b3da in QCoreApplication::event (this=0x8b05528, e=0x8c529e0) at kernel/qcoreapplication.cpp:1727
#21 0xb556a9fd in QApplication::event (this=0x8b05528, e=0x8c529e0) at kernel/qapplication.cpp:2533
#22 0xb5566404 in notify_helper (e=0x8c529e0, receiver=0x8b05528, this=0x8b3d890) at kernel/qapplication.cpp:4551
#23 QApplicationPrivate::notify_helper (this=0x8b3d890, receiver=0x8b05528, e=0x8c529e0) at kernel/qapplication.cpp:4523
#24 0xb556b743 in QApplication::notify (this=0x8c529e0, receiver=0x8b05528, e=0x8c529e0) at kernel/qapplication.cpp:4280
#25 0xb675bee1 in KApplication::notify (this=0x8b05528, receiver=0x8b05528, event=0x8c529e0) at /usr/src/debug/kdelibs-4.9.0/kdeui/kernel/kapplication.cpp:311
#26 0xb609adce in QCoreApplication::notifyInternal (this=0x8b05528, receiver=0x8b05528, event=0x8c529e0) at kernel/qcoreapplication.cpp:915
#27 0xb609ea48 in sendEvent (event=<optimized out>, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8ad1750) at kernel/qcoreapplication.cpp:1539
#29 0xb609ed7c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1432
#30 0xb60cd6f4 in sendPostedEvents () at kernel/qcoreapplication.h:236
#31 postEventSourceDispatch (s=0x8b437b0) at kernel/qeventdispatcher_glib.cpp:279
#32 0xb2906e4f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#33 0xb2907580 in ?? () from /usr/lib/libglib-2.0.so.0
#34 0xb290781a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#35 0xb60cdae7 in QEventDispatcherGlib::processEvents (this=0x8ad1388, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#36 0xb561a40a in QGuiEventDispatcherGlib::processEvents (this=0x8ad1388, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0xb609964d in QEventLoop::processEvents (this=0xbfce7914, flags=...) at kernel/qeventloop.cpp:149
#38 0xb60998e9 in QEventLoop::exec (this=0xbfce7914, flags=...) at kernel/qeventloop.cpp:204
#39 0xb609ee2a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#40 0xb55642a4 in QApplication::exec () at kernel/qapplication.cpp:3812
#41 0xb774a44b in kdemain (argc=1, argv=0xbfce7b14) at /usr/src/debug/kde-workspace-4.9.0/plasma/desktop/shell/main.cpp:120
#42 0x0804852b in main (argc=1, argv=0xbfce7b14) at /usr/src/debug/kde-workspace-4.9.0/build/plasma/desktop/shell/plasma-desktop_dummy.cpp:3

Possible duplicates by query: bug 283132, bug 282622.

Reported using DrKonqi
Comment 1 Rolf Eike Beer 2012-08-17 19:29:23 UTC
Playing around with the plasma-desktop-appletsrc this was the section I needed to remove:

[Containments][78][Applets][91]
geometry=796,267,405,392
immutability=2
plugin=twitter
zvalue=341
Comment 2 Jekyll Wu 2012-08-20 04:54:28 UTC
Is microblog the culprit?
Comment 3 Rolf Eike Beer 2012-08-20 06:32:46 UTC
Yes, when I try to add it again plasma immediately crashes.
Comment 5 David E. Narvaez 2013-01-28 03:55:38 UTC
*** Bug 301947 has been marked as a duplicate of this bug. ***